View Bug Details

IDProjectCategoryView StatusLast Update
0001342DCP-o-matic[All Projects] Bugspublic2018-10-17 19:16
ReporterCarstenAssigned Tocarl 
PriorityurgentSeveritycrashReproducibilityalways
Status closedResolutionfixed 
PlatformMacOSOS X OS Version10.11
Product Version2.14.0 
Target Version2.14.0Fixed in Version 
Summary0001342: project files including captions, once saved with 2.13.38, can not be reloaded into the same version
Description

When trying to load a metadata.xml containing either OCAP or CCAP created with 2.13.38, the same version of DCP-o-matic crashes/vanishes silently. Either something in the project metadata file creation, or interpretation, I guess.

Also, when loading a metadata.xml file from an earlier version that includes timed text (e.g. srt), the project can not be loaded (see screenshot).

2.13.38, OS X Sierra.

As 2.12.x can not load 2.13.38 project files, there is probably urgent need to fix this.
Can we create 'some' backwards compatibility for the new functions in 2.12.9? Like interpreting all captions as plain subtitles upon load?

  • Carsten
TagsNo tags attached.
Estimated work requiredUnknown

Activities

Carsten

2018-07-25 12:55

manager  

carl

2018-07-25 13:06

administrator   ~0002563

Should be fixed by f80740363455d4c78f4132f9e58006a84034b9d0 and d71cf1ae31c7d488c95cd63278b200035e4d6a63 in 2.13.39.

carl

2018-08-04 14:54

administrator   ~0002587

Let me know if it's not fixed.

Bug History

Date Modified Username Field Change
2018-07-25 12:55 Carsten New Bug
2018-07-25 12:55 Carsten Status new => assigned
2018-07-25 12:55 Carsten Assigned To => carl
2018-07-25 12:55 Carsten File Added: Bildschirmfoto 2018-07-25 um 13.57.11.png
2018-07-25 12:56 Carsten Summary project files including captions, once save with 2.13.38, can not be reloaded into the same version => project files including captions, once saved with 2.13.38, can not be reloaded into the same version
2018-07-25 12:56 Carsten Description Updated View Revisions
2018-07-25 13:00 Carsten Description Updated View Revisions
2018-07-25 13:00 Carsten Description Updated View Revisions
2018-07-25 13:06 carl Note Added: 0002563
2018-08-04 14:54 carl Status assigned => resolved
2018-08-04 14:54 carl Resolution open => fixed
2018-08-04 14:54 carl Note Added: 0002587
2018-10-17 19:16 carl Status resolved => closed